# Consent transaction

## Get Consent result by consent point

<mark style="color:blue;">`GET`</mark> `https://api.domain.com/api/services/app/ConsentTrans/GetByConsentPoint`

ใช้สำหรับดึงข้อมูล consent result โดยแสดงตาม consent point ที่ระบุมา

#### Query Parameters

| Name           | Type    | Description                  |
| -------------- | ------- | ---------------------------- |
| Id             | string  | Id ของ consent point         |
| Sorting        | string  | sorting type (asc, desc)     |
| SkipCount      | integer | จำนวน record ที่ต้องการ skip |
| MaxResultCount | integer | จำนวน Row ที่ต้องการ Get     |

#### Headers

| Name          | Type   | Description        |
| ------------- | ------ | ------------------ |
| Authorization | string | Bearer tokenของคุณ |

{% tabs %}
{% tab title="200 successfully retrieved." %}

```
{
  "result": {
    "totalCount": 0,
    "items": [
      {
        "consentTran": {
          "identifier": "string",
          "status": "string",
          "recieptKey": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "isSetExpire": true,
          "expireTime": "2021-03-09T10:56:53.955Z",
          "channelType": "string",
          "purposeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "consentPointId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
        },
        "purposeName": "string",
        "consentPointName": "string"
      }
    ]
  },
  "targetUrl": null,
  "success": true,
  "error": null,
  "unAuthorizedRequest": false,
  "__abp": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reddot.co.th/consent-management-api/consent-trans.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
